PLOCKSTAT(1)

NAME
plockstat - front-end to DTrace to print statistics about POSIX mutexes and read/write locks

SYNOPSIS
plockstat [-vACHV] [-n count] [-s depth] [-e secs] [-x opt[=val]]
command [arg...]

plockstat [-vACHV] [-n count] [-s depth] [-e secs] [-x opt[=val]]
-p pid

OPTIONS

-v  print a message when tracing starts

-A  trace contention and hold events (same as -CH)

-C  trace contention events for mutexes and rwlocks

-H  trace hold events for mutexes and rwlocks

-V  print the dtrace script to run

-n count
    display only 'count' entries for each event type

-s depth
    show stack trace upto 'depth' entries

-e secs
    exit after specified seconds

-x arg[=val]
    enable a DTrace runtime option or a D compiler option

-p pid
    attach and trace the specified process id

SEE ALSO
dtrace(1)